SaslS (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.tool.SaslS,SaslS class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.tool
Class SaslS

    java.lang.Object
      |
      +--gnu.crypto.tool.SaslS

All Implemented Interfaces:
  java.lang.Runnable

public class SaslS
extends java.lang.Object
implements java.lang.Runnable

A basic server-side test class to exercise SASL mechanisms that exchange their response/challenge in SASL Buffers. At the time of testing this code, only two such mechanisms are included in the library: SRP and SM2!

The `main()` method accepts two arguments: the first is the number in milliseconds for the read timeout operation, and the second is the port number on which to listen for incoming connections. Use `Ctrl-C` to kill it. It should activate a shutdown thread that will orderly close all live worker threads before exiting.

Method Summary
`static void` | `main(java.lang.String[] args)` A simple test server that handles SASL connections.
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static final void main(java.lang.String[] args)
                           throws java.io.IOException

  A simple test server that handles SASL connections.

  Parameters:
    `args` - [0] timeout, in millis, for client connections; [1] port number where to listen for incoming connections.
    `java.io.IOException`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.